Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class ExceptionHandlers

    java.lang.Object
      |
      +--org.apache.bcel.verifier.structurals.ExceptionHandlers

public class ExceptionHandlers
extends java.lang.Object

This class allows easy access to ExceptionHandler objects.

Version:
  $Id: ExceptionHandlers.java,v 1.1.1.1 2001/10/29 20:00:38 jvanzyl Exp $
Author:
  Enver Haase

Constructor Summary
`ExceptionHandlers(MethodGen mg)` Constructor.

Method Summary
`ExceptionHandler[]` | `getExceptionHandlers(InstructionHandle ih)` Returns all the ExceptionHandler instances representing exception handlers that protect the instruction ih.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandlers

    public ExceptionHandlers(MethodGen mg)

  Constructor. Creates a new ExceptionHandlers instance.

Method Detail

### getExceptionHandlers

    public ExceptionHandler[] getExceptionHandlers(InstructionHandle ih)

  Returns all the ExceptionHandler instances representing exception handlers that protect the instruction ih.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.